This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 150488 - When RHN XMLRPC is down, rhnreg_ks fails
When RHN XMLRPC is down, rhnreg_ks fails
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-07 12:17 EST by Chris McKenzie
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:06:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris McKenzie 2005-03-07 12:17:45 EST
Description of problem:
The RHN site and XMLRPC site was down this morning for what felt like
15 minutes. It so happens I was attempting to register a RH WS EL3 U4
at the same time.

When I attempted to call rhnreg_ks, it blew up in an unfriendly manner.


Version-Release number of selected component (if applicable):

Hard to tell, rhnreg_ks doesn't seem to have a version.

# rhnreg_ks --version
Red Hat Network Registration Agent (Kickstart Version) v@VERSION@
Copyright (c) 1999-2002 Red Hat, Inc.
Licensed under terms of the GPL.

How reproducible:

I don't kow what was really going on under the hood, however I have
(in the past) tested changing up2date serverURL to something bogus and
rhnreg_ks seemed to act in a reasonable manner.

Steps to Reproduce:
1. Wait until XMLRPC is unavailable or overloaded?
2. Attempt to RHN Channel register with rhnreg_ks
3.
  
Actual results:

When calling rhnreg_ks the following unpleasantness was displayed
after a 1 minute timeout:

Traceback (most recent call last):
  File "/usr/sbin/rhnreg_ks", line 357, in ?
    main()
  File "/usr/sbin/rhnreg_ks", line 314, in main
    other = other)
  File "/usr/share/rhn/up2date_client/rhnreg.py", line 331, in
registerSystem
    auth_dict)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 308, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/lib/python2.2/xmlrpclib.py", line 821, in __call__
    return self.__send(self.__name, args)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 51, in _request1
    ret = self._request(methodname, params)
  File "/usr/lib/python2.2/site-packages/rhn/rpclib.py", line 308, in
_request
    verbose=self._verbose
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 168,
in request
    headers, fd = req.send_http(host, handler)
  File "/usr/lib/python2.2/site-packages/rhn/transports.py", line 697,
in send_http
    response = self._connection.getresponse()
  File "/usr/lib/python2.2/site-packages/rhn/connections.py", line
143, in getresponse
    response.begin()
  File "/usr/lib/python2.2/httplib.py", line 269, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python2.2/httplib.py", line 231, in _read_status
    line = self.fp.readline()
  File "/usr/lib/python2.2/site-packages/rhn/SSL.py", line 248, in
readline
    data = self._connection.recv(bufsize)
SSL.SysCallError: (-1, 'Unexpected EOF')

Expected results:

I expect rhnreg_ks is report an error gracefully, much like the other
XMLRPC returned errors. (such as unavailable licenses, etc...) I know
this is a client side error, not a server side, but the output should
be similar.

Additional info:
Comment 1 RHEL Product and Program Management 2007-10-19 15:06:37 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.